# Generated by Django 3.2.7 on 2021-09-03 14:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Server',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='Name')),
                ('description', models.CharField(max_length=255, verbose_name='Description')),
                ('ip_address', models.GenericIPAddressField(verbose_name='IP Address')),
            ],
            options={
                'verbose_name': 'Server',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='CPU',
            fields=[
                ('server', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='cpu', serialize=False, to='servers.server')),
                ('cpu_cores', models.IntegerField(verbose_name='CPU cores')),
                ('cpu_physical_cores', models.IntegerField(verbose_name='CPU physical cores')),
                ('cpu_freqency', models.IntegerField(verbose_name='CPU freqency')),
            ],
            options={
                'verbose_name': 'CPU',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='HostInfo',
            fields=[
                ('server', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='host_information', serialize=False, to='servers.server')),
                ('sysname', models.CharField(max_length=64, verbose_name='OS name')),
                ('hostname', models.CharField(max_length=63, verbose_name='Hostname')),
            ],
            options={
                'verbose_name': 'Host information',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='LoadAverage',
            fields=[
                ('server', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='load_average', serialize=False, to='servers.server')),
                ('la_1', models.FloatField(verbose_name='Load average in 1 min')),
                ('la_5', models.FloatField(verbose_name='Load average in 5 min')),
                ('la_15', models.FloatField(verbose_name='Load average in 15 min')),
            ],
            options={
                'verbose_name': 'Load average',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Memory',
            fields=[
                ('server', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='memory', serialize=False, to='servers.server')),
                ('memory_total', models.IntegerField(verbose_name='Total_memory')),
                ('memory_used', models.IntegerField(verbose_name='Used memory')),
                ('memory_percent', models.FloatField(verbose_name='Percent memory')),
            ],
            options={
                'verbose_name': 'Memory',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Interface',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=16, verbose_name='Name')),
                ('status', models.BooleanField(choices=[(True, 'Up'), (False, 'Down')], verbose_name='Status')),
                ('mtu', models.IntegerField(verbose_name='MTU')),
                ('server', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='network', to='servers.server')),
            ],
            options={
                'verbose_name': 'Interface',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Disk',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('mountpoint', models.CharField(max_length=255, verbose_name='MountPoint')),
                ('file_system_type', models.CharField(max_length=255, verbose_name='File system type')),
                ('total', models.IntegerField(verbose_name='Total size')),
                ('used', models.IntegerField(verbose_name='Used size')),
                ('server', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='disk', to='servers.server')),
            ],
            options={
                'verbose_name': 'Disk',
                'managed': True,
            },
        ),
    ]
